.contact-elements {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    width: 100%;
}

.map-container {
    position: relative;
    overflow: hidden;
    padding-top: 56.25%; /* Aspect ratio 16:9 */
    min-height: 35vw;
    max-height: 100vw;
}


iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.contact-info {
    width: 49.75vw;
    margin: 5vw;
}

.separator {
    margin: 5vw auto;
    width: 0.5vw;
    max-height: 100vw;
    background-color: #8BC53F;
}

.contact-form {
    font-family: Verdana,sans-serif; 
    width: 49.75vw;
    padding: 5vw 5vw 2vw 5vw;
}


.contact-button {
    background-color: #8BC53F !important; 
    color: white !important;
    border: none !important;
    margin-top: 2vw !important;
}

.contact-button:hover {
    background-color: #45631e !important;
}

.subject {
    margin-right: 1vw !important;
}

#responseMessage {
    font-size: 1.5vw;
    color: red;
    text-align: center;
}

@media screen and (max-width: 768px) {
    .contact-elements {
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        width: 100%;
    }
    
    .map-container {
        position: relative;
        overflow: hidden;
        width: 100%;
        height: 80vw;
    }
    
    
    .google-maps {
        position: absolute;
        top: 0;
        left: 0;
        width: 80vw;
        height: 80vw;
    }
    
    .contact-info {
        width: 100%;
        margin: 5vw 0;
        padding: 5vw 10vw;
    }
    
    .separator {
        display: none;
    }
    
    .contact-form {
        font-family: Verdana,sans-serif; 
        width: 100%;
        padding: 0 10vw;
        margin-top: 10vw;
    }
    
    
    .contact-button {
        background-color: #8BC53F !important; 
        color: white !important;
        border: none !important;
        margin-top: 4vw !important;
    }
    
    .contact-button:hover {
        background-color: #45631e !important;
    }
    
    .subject {
        margin-right: 2vw !important;
    }
    
    #responseMessage {
        font-size: 3.7vw;
        color: red;
        text-align: center;
    }
}